services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannCustomcontentelements\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannCustomcontentelements\DataProcessing\TeaserContentProcessor:
    public: true
    tags:
      - { name: 'data.processor', identifier: 'teaser-content' }

  WebitDe\DrbeckmannCustomcontentelements\DataProcessing\CategoriesOfChildrenProcessor:
    public: true
    tags:
      - { name: 'data.processor', identifier: 'child-categories' }
